<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAbStaticPageTranslateTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('ab_static_page_translate', function(Blueprint $table)
		{
			$table->integer('id')->nullable();
			$table->integer('site_id')->nullable();
			$table->bigInteger('date_orig')->nullable();
			$table->bigInteger('date_last')->nullable();
			$table->integer('static_page_id')->nullable();
			$table->string('language_id', 16)->nullable();
			$table->text('body_intro')->nullable();
			$table->text('body_full')->nullable();
			$table->string('title', 128)->nullable();
			$table->unique(['site_id','id']);
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('ab_static_page_translate');
	}

}
